CREATE TABLE auth_Role
(
    id varchar(36) primary key not NULL
    ,name varchar(20)
    ,context_id varchar(36)
    ,localVersion int8
    ,serverVersion int8
    ,modificationtime timestamp
    ,deleted boolean
);
CREATE TABLE auth_User
(
    id varchar(36) primary key not NULL
    ,username varchar(20)
    ,password varchar(32)
    ,firstname varchar(30)
    ,lastname varchar(30)
    ,context_id varchar(36)
    ,localVersion int8
    ,serverVersion int8
    ,modificationtime timestamp
    ,deleted boolean
);
CREATE TABLE auth_User_Role
(
    auth_User_id varchar(36)
    ,auth_Role_id varchar(36)
);
ALTER TABLE auth_User_Role
ADD CONSTRAINT UserRole_User
FOREIGN KEY (auth_User_id)
REFERENCES auth_User(id);
ALTER TABLE auth_User_Role
ADD CONSTRAINT UserRole_Role
FOREIGN KEY (auth_Role_id)
REFERENCES auth_Role(id);

CREATE TABLE auth_AuthenticationContext
(
    id varchar(36) primary key not NULL
    ,localVersion int8
    ,serverVersion int8
    ,replicationVersion int8
    ,modificationtime timestamp
    ,deleted boolean
);
CREATE TABLE auth_Permission
(
    id varchar(36) primary key not NULL
    ,type varchar(50)
    ,context_id varchar(36)
    ,modificationtime timestamp
    ,deleted boolean
);
CREATE TABLE auth_Permission_Role
(
    auth_Permission_id varchar(36)
    ,auth_Role_id varchar(36)
);
ALTER TABLE auth_Permission_Role
ADD CONSTRAINT PermissionRole_Permission
FOREIGN KEY (auth_Permission_id)
REFERENCES auth_Permission(id);
ALTER TABLE auth_Permission_Role
ADD CONSTRAINT PermissionRole_Role
FOREIGN KEY (auth_Role_id)
REFERENCES auth_Role(id);
